@view-transition{
  navigation: auto;
}
html{
  box-sizing: border-box;
  font-size: 1em;
}
*,*:before,*:after{
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}
.disabled{
  pointer-events: none;
  opacity: 0.8;
}
h1{
  font-size: 1.65em;
}
.page{
  aspect-ratio: 1340 / 2049;
  width: auto;
  height: 86vh;
  margin: auto;
}
.page img{
  width: 32.3%;
  height: auto;
}
.page a{
  opacity: 0.5;
  transition: opacity 1s ease-in-out;
}
.page a:hover{
  opacity: 1;
}
.page a:nth-child(1) img{ width: 24%; }
.page a:nth-child(2) img{ width: 35%; }
.page a:nth-child(3) img{ width: 38%; }
.page a:nth-child(5) img,
.page a:nth-child(4) img{ width: 49%; }
.page a:nth-child(6) img{ width: 34%; }
.page a:nth-child(7) img{ width: 33%; }
.page a:nth-child(8) img{ width: 30%; }

#frame1 img{
  view-transition-name: one;
}
#frame2 img{
  view-transition-name: two;
}
#frame3 img{
  view-transition-name: three;
}
#frame4 img{
  view-transition-name: four;
}
#frame5 img{
  view-transition-name: five;
}
#frame6 img{
  view-transition-name: six;
}
#frame7 img{
  view-transition-name: seven;
}
#frame8 img{
  view-transition-name: eight;
}
/* ::view-transition-group(one),
::view-transition-group(two),
::view-transition-group(three),
::view-transition-group(four),
::view-transition-group(five),
::view-transition-group(six),
::view-transition-group(seven),
::view-transition-group(eight){
  transform-origin: center;
} */
/* .frame #frame8 img,
.frame #frame7 img,
.frame #frame6 img,
.frame #frame5 img,
.frame #frame4 img,
.frame #frame3 img,
.frame #frame2 img,
.frame #frame1 img{ */
.frame img{
  view-transition-name: all;
}
::view-transition-group(all){
  transform-origin: center;
}
.frame{
  display: flex;
  justify-content: center;
}
.frame img{
  max-width: 100%;
  height: auto;
}
header{
  background: black;
  color: white;
  background: hsl(100,90,90);
  padding: 1rem;
}
header nav{
  padding: 1rem 0 0;
}
header nav a span{
  display: none;
}
header nav a.btn{
  padding-right: 0.5rem;
}
header nav a.btn svg{
  width: 2rem;
  height: auto;
}